/*
 * Copyright 2018-2025 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.data.elasticsearch.config.notnested;

import java.util.List;
import java.util.UUID;

import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;

/**
 * @author Gad Akuka
 * @author Christoph Strobl
 */
interface SampleUUIDKeyedElasticsearchRepository
		extends ElasticsearchRepository<EnableRepositoriesIntegrationTests.SampleEntityUUIDKeyed, UUID> {

	long deleteSampleEntityUUIDKeyedById(UUID id);

	List<EnableRepositoriesIntegrationTests.SampleEntityUUIDKeyed> deleteByAvailable(boolean available);

	List<EnableRepositoriesIntegrationTests.SampleEntityUUIDKeyed> deleteByMessage(String message);

	void deleteByType(String type);

}
